## nftables 0.7

=== debian/changelog ===
nftables (0.7-1) unstable; urgency=medium

  * [c7b6524] New upstream version 0.7
  * [b061528] nftables: switch to debhelper compat 10
  * [33238bc] nftables-dbg: switch to -dbgsym package
  * [4d838e4] d/control: bump dependency on libnftnl
  * [0fac534] d/control: refresh kernel version reference in nftables
    description
  * [625229a] d/rules: enable hardening

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 22 Dec 2016 11:21:01 +0100

nftables (0.6+snapshot20161117-2) unstable; urgency=medium

  * [078c41a] d/tests/: disable internaltest-py.sh
  * [0560a63] nftables-dbg: use Multi-Arch: same
  * [f2ace74] nftables: don't use libxtables11

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 23 Nov 2016 12:43:46 +0100

nftables (0.6+snapshot20161117-1) unstable; urgency=medium

  * [2540606] New upstream version 0.6+snapshot20161117
  * [8879bd0] d/control: bump build-dep on libnftnl 1.0.6+snapshot20161117
  * [f90e51c] nftables: enable libxtables integration

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 17 Nov 2016 11:30:33 +0100

nftables (0.6-3) unstable; urgency=medium

  * [c4cacdd] d/: update email address to 'arturo@debian.org'

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Mon, 10 Oct 2016 11:10:16 +0200

nftables (0.6-2) unstable; urgency=medium

  * [2ff280b] d/tests/systemd-service-test.sh: dont use echo in the
    initial warning
  * [89a01ba] d/tests/internaltests-shell.sh: dont' run testsuite if
    kernel is < 4.x
  * [59e6ac2] d/nftables.{postinst,postrm,preinst}: gracefully delete
    /etc/init.d/nftables (Closes: #833078)

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Mon, 01 Aug 2016 12:26:56 +0200

=== debian/control ===
Source: nftables
Section: net
Priority: extra
Maintainer: Arturo Borrero Gonzalez <arturo@debian.org>
Build-Depends: automake,
               bison,
               debhelper (>= 10),
               dh-autoreconf,
               dh-systemd,
               docbook2x,
               flex,
               libgmp-dev,
               libmnl-dev (>= 1.0.3),
               libnftnl-dev (>= 1.0.7),
               libreadline-dev,
	       libxtables-dev (>= 1.6.0+snapshot20161117-4),
               libtool (>=2.2.6)
Standards-Version: 3.9.8
Homepage: http://www.netfilter.org/
Vcs-Git: https://github.com/aborrero/pkg-nftables.git
Vcs-Browser: https://github.com/aborrero/pkg-nftables

Package: nftables
Architecture: linux-any
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Program to control packet filtering rules by Netfilter project
 These are the user-space administration tools for the Linux
 kernel's netfilter and nftables. netfilter and nftables provide
 a framework for stateful and stateless packet filtering, network
 and port address translation, and other IP packet manipulation.
 The framework is the successor to iptables.
 .
 Netfilter and nftables are used in applications such as Internet
 connection sharing, firewalls, IP accounting, transparent proxying,
 advanced routing and traffic control.
 .
 A Linux kernel >= 3.13 is required. However, >= 4.10 is recommended.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure_opts	:= --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --disable-silent-rules --with-xtables

override_dh_auto_configure:
	./configure $(configure_opts) --

%:
	dh $@ --with autoreconf,systemd

override_dh_fixperms:
	dh_fixperms
	chmod a+x debian/nftables/etc/nftables.conf

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

override_dh_systemd_start:
	dh_systemd_start --no-start

# https://wiki.debian.org/DebugPackage
.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbgsym-migration='nftables-dbg (<< 0.7~)'

override_dh_auto_install:
	dh_auto_install --destdir=debian/nftables

	# upstream examples are installed in by the 'install' target to '/etc/nftables'
	mkdir -p debian/nftables/usr/share/doc/nftables/examples/syntax
	mv debian/nftables/etc/nftables/* debian/nftables/usr/share/doc/nftables/examples/syntax/
	rm -rf debian/nftables/etc/nftables

override_dh_installdocs:
	dh_installdocs --link-doc=nftables

override_dh_installinit:
	# dh_installinit will try to mess with /etc/init.d/nftables in
	# the maintainer scripts, but we don't ship it
	dh_installinit -n

=== debian/tests/control ===
Test-Command: nft -h
Depends: @
Restrictions: needs-root

Tests: internaltest-shell.sh
Depends: @, kmod
Restrictions: needs-root, allow-stderr, isolation-container

Tests: internaltest-py.sh
Depends: @, python
Restrictions: needs-root, allow-stderr, isolation-container, build-needed

Tests: systemd-service-test.sh
Depends: @, systemd
Restrictions: needs-root, allow-stderr, isolation-container

## nftables 0.8

=== debian/changelog ===
nftables (0.8-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Fri, 27 Oct 2017 11:59:30 +0200

nftables (0.8-1) unstable; urgency=medium

  [ Alexander Greiner-Bär ]
  * [4157de9] nftables.service: use correct order in systemd unit file
    (Closes: #873856)

  [ Arturo Borrero Gonzalez ]
  * [311b618] New upstream version 0.8
  * [b38f21a] d/control: bump libnftnl dependency to 1.0.8
  * [19f5962] d/control: bump std-version to 4.1.1
  * [7d95221] d/watch: ignore nftables upstream version 0.100 and 0.099
  * [da499c0] d/control: update package description
  * [734076e] nftables: update package documentation
  * [8883735] d/copyright: refresh file
  * [c5af3f3] d/control: drop old depends of dh- packages

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 18 Oct 2017 01:00:05 +0200

nftables (0.7-2) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [058867f] d/control: move package to pkg-netfilter

  [ Martin Dickopp ]
  * [bf9bd6e] nftables.service: load firewall earlier in the boot process
    (Closes: #866902)

  [ Arturo Borrero Gonzalez ]
  * [772f6ea] d/control: bump std-version to 4.0.0

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Mon, 03 Jul 2017 09:23:22 +0200

=== debian/control ===
Source: nftables
Section: net
Priority: optional
Maintainer: Debian Netfilter Packaging Team <pkg-netfilter-team@lists.alioth.debian.org>
Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>
Build-Depends: automake,
               bison,
               debhelper (>= 10),
               docbook2x,
               flex,
               libgmp-dev,
               libmnl-dev (>= 1.0.3),
               libnftnl-dev (>= 1.0.8),
               libreadline-dev,
	       libxtables-dev (>= 1.6.0+snapshot20161117-4),
               libtool (>=2.2.6)
Standards-Version: 4.1.1
Homepage: http://www.netfilter.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-netfilter/pkg-nftables.git/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netfilter/pkg-nftables.git/

Package: nftables
Architecture: linux-any
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Program to control packet filtering rules by Netfilter project
 This software provides an in-kernel packet classification framework that is
 based on a network-specific Virtual Machine (VM) and the nft userspace
 command line tool. The nftables framework reuses the existing Netfilter
 subsystems such as the existing hook infrastructure, the connection tracking
 system, NAT, userspace queueing and logging subsystem.
 .
 nftables replaces the old popular iptables, ip6tables, arptables and ebtables.
 .
 Netfilter software and nftables in particular are used in applications such
 as Internet connection sharing, firewalls, IP accounting, transparent
 proxying, advanced routing and traffic control.
 .
 A Linux kernel >= 3.13 is required. However, >= 4.14 is recommended.

## nftables 0.8.2

=== debian/changelog ===
nftables (0.8.2-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * [159958f] d/rules: use dh_auto_configure (Closes: #888715)

  [ Arturo Borrero Gonzalez ]
  * [66b45dd] New upstream version 0.8.2

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Fri, 02 Feb 2018 19:57:44 +0100

nftables (0.8.1-1) unstable; urgency=medium

  * [46be8e1] d/control: update git URLs
  * [77d8cc2] New upstream version 0.8.1
  * [57c711b] d/control: bump build-dep on libnftnl
  * [517ecd2] d/control: bump std-version to 4.1.3
  * [bc590c4] d/compat: bump dh compat to 11
  * [68fbe65] d/copyright: use HTTPS in the URL

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 17 Jan 2018 14:55:14 +0100

nftables (0.8-2) unstable; urgency=medium

  * [95b5638] d/t/internaltest-py.sh: enable test, dummy module not required
  * [a5f037d] d/control: bump build-dep version on libxtables to 1.6.1.
    Thanks to James Clarke for the report.

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Mon, 27 Nov 2017 13:07:24 +0100

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>
 Build-Depends: automake,
                bison,
-               debhelper (>= 10),
+               debhelper (>= 11),
                docbook2x,
                flex,
                libgmp-dev,
                libmnl-dev (>= 1.0.3),
-               libnftnl-dev (>= 1.0.8),
+               libnftnl-dev (>= 1.0.9),
                libreadline-dev,
-	       libxtables-dev (>= 1.6.0+snapshot20161117-4),
+	       libxtables-dev (>= 1.6.1),
                libtool (>=2.2.6)
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://www.netfilter.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-netfilter/pkg-nftables.git/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netfilter/pkg-nftables.git/
+Vcs-Git: https://salsa.debian.org/pkg-netfilter-team/pkg-nftables
+Vcs-Browser: https://salsa.debian.org/pkg-netfilter-team/pkg-nftables
 
 Package: nftables
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-configure_opts	:= --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --disable-silent-rules --with-xtables
+configure_opts	:= --with-xtables
 
 override_dh_auto_configure:
-	./configure $(configure_opts) --
+	dh_auto_configure -- $(configure_opts) --
 
 %:
-	dh $@ --with autoreconf,systemd
+	dh $@ --with autoreconf
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/
http://ftp.netfilter.org/pub/nftables/nftables-((?!0.100|0.099)\S+).tar.bz2

## nftables 0.8.3

=== files/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# files/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/nftables
pkgincludedir = $(includedir)/nftables
pkglibdir = $(libdir)/nftables
pkglibexecdir = $(libexecdir)/nftables
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = files
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	distdir
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/pablo/devel/scm/git-netfilter/nftables/build-aux/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/pablo/devel/scm/git-netfilter/nftables/build-aux/missing autoconf
AUTOHEADER = ${SHELL} /home/pablo/devel/scm/git-netfilter/nftables/build-aux/missing autoheader
AUTOMAKE = ${SHELL} /home/pablo/devel/scm/git-netfilter/nftables/build-aux/missing automake-1.15
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DB2MAN = docbook2x-man
DB2X_DOCBOOK2MAN = no
DBLATEX = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DOCBOOK2MAN = docbook2man
DOCBOOK2X_MAN = docbook2x-man
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBMNL_CFLAGS = -I/usr/local/include
LIBMNL_LIBS = -L/usr/local/lib -lmnl
LIBNFTNL_CFLAGS = 
LIBNFTNL_LIBS = -lnftnl
LIBOBJS = 
LIBS = -lreadline -lgmp 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/pablo/devel/scm/git-netfilter/nftables/build-aux/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = nftables
PACKAGE_BUGREPORT = netfilter-devel@vger.kernel.org
PACKAGE_NAME = nftables
PACKAGE_STRING = nftables 0.8.1
PACKAGE_TARNAME = nftables
PACKAGE_URL = 
PACKAGE_VERSION = 0.8.1
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 0.8.1
XTABLES_CFLAGS = 
XTABLES_LIBS = 
YACC = bison -y
YFLAGS = 
abs_builddir = /home/pablo/devel/scm/git-netfilter/nftables/files
abs_srcdir = /home/pablo/devel/scm/git-netfilter/nftables/files
abs_top_builddir = /home/pablo/devel/scm/git-netfilter/nftables
abs_top_srcdir = /home/pablo/devel/scm/git-netfilter/nftables
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/pablo/devel/scm/git-netfilter/nftables/build-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
with_cli = yes
with_debug = yes
with_libxtables = no
SUBDIRS = nftables
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign files/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign files/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.
$(am__recursive_targets):
	@fail=; \
	if $(am__make_keepgoing); then \
	  failcom='fail=yes'; \
	else \
	  failcom='exit 1'; \
	fi; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \

=== files/nftables/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# files/nftables/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/nftables
pkgincludedir = $(includedir)/nftables
pkglibdir = $(libdir)/nftables
pkglibexecdir = $(libexecdir)/nftables
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = files/nftables
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_pkgsysconf_DATA) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(pkgsysconfdir)"
DATA = $(dist_pkgsysconf_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/pablo/devel/scm/git-netfilter/nftables/build-aux/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/pablo/devel/scm/git-netfilter/nftables/build-aux/missing autoconf
AUTOHEADER = ${SHELL} /home/pablo/devel/scm/git-netfilter/nftables/build-aux/missing autoheader
AUTOMAKE = ${SHELL} /home/pablo/devel/scm/git-netfilter/nftables/build-aux/missing automake-1.15
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DB2MAN = docbook2x-man
DB2X_DOCBOOK2MAN = no
DBLATEX = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DOCBOOK2MAN = docbook2man
DOCBOOK2X_MAN = docbook2x-man
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBMNL_CFLAGS = -I/usr/local/include
LIBMNL_LIBS = -L/usr/local/lib -lmnl
LIBNFTNL_CFLAGS = 
LIBNFTNL_LIBS = -lnftnl
LIBOBJS = 
LIBS = -lreadline -lgmp 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/pablo/devel/scm/git-netfilter/nftables/build-aux/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = nftables
PACKAGE_BUGREPORT = netfilter-devel@vger.kernel.org
PACKAGE_NAME = nftables
PACKAGE_STRING = nftables 0.8.1
PACKAGE_TARNAME = nftables
PACKAGE_URL = 
PACKAGE_VERSION = 0.8.1
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 0.8.1
XTABLES_CFLAGS = 
XTABLES_LIBS = 
YACC = bison -y
YFLAGS = 
abs_builddir = /home/pablo/devel/scm/git-netfilter/nftables/files/nftables
abs_srcdir = /home/pablo/devel/scm/git-netfilter/nftables/files/nftables
abs_top_builddir = /home/pablo/devel/scm/git-netfilter/nftables
abs_top_srcdir = /home/pablo/devel/scm/git-netfilter/nftables
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/pablo/devel/scm/git-netfilter/nftables/build-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
with_cli = yes
with_debug = yes
with_libxtables = no
pkgsysconfdir = ${sysconfdir}/nftables
dist_pkgsysconf_DATA = arp-filter	\
			bridge-filter	\
			inet-filter	\
			ipv4-filter	\
			ipv4-mangle	\
			ipv4-nat	\
			ipv4-raw	\
			ipv6-filter	\
			ipv6-mangle	\
			ipv6-nat	\
			ipv6-raw

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign files/nftables/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign files/nftables/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-dist_pkgsysconfDATA: $(dist_pkgsysconf_DATA)
	@$(NORMAL_INSTALL)
	@list='$(dist_pkgsysconf_DATA)'; test -n "$(pkgsysconfdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgsysconfdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pkgsysconfdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgsysconfdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgsysconfdir)" || exit $$?; \
	done

uninstall-dist_pkgsysconfDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_pkgsysconf_DATA)'; test -n "$(pkgsysconfdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(pkgsysconfdir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \

=== debian/changelog ===
nftables (0.8.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Sat, 10 Mar 2018 13:34:17 +0100

nftables (0.8.3-1) unstable; urgency=medium

  * [2cc4fde] New upstream version 0.8.3
  * [b2ad2f6] nftables: refresh example files
  * [680e9d0] d/rules: use dh_installsystemd

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Sun, 04 Mar 2018 22:01:25 +0100

nftables (0.8.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * [eb6cedf] d/control: relax depends for stretch-backports

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Fri, 23 Feb 2018 19:32:37 +0100

nftables (0.8-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 05 Dec 2017 09:31:46 -0600

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>
 Build-Depends: automake,
                bison,
-               debhelper (>= 11),
+               debhelper (>= 11~),
                docbook2x,
                flex,
                libgmp-dev,
                libmnl-dev (>= 1.0.3),
-               libnftnl-dev (>= 1.0.9),
+               libnftnl-dev (>= 1.0.9~),
                libreadline-dev,
 	       libxtables-dev (>= 1.6.1),
                libtool (>=2.2.6)

## nftables 0.9.0

=== debian/changelog ===
nftables (0.9.0-2) unstable; urgency=medium

  * [0509603] d/t/control: mark internaltest-shell.sh as flaky (Closes: #903083)
  * [79434be] d/t: run monitor testsuite
  * [9b254aa] nftables: enable JSON support

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Mon, 03 Dec 2018 14:11:14 +0100

nftables (0.9.0-1) unstable; urgency=medium

  * [d1ad0df] d/t/internaltest-shell.sh: use installed nft binary
  * [b857e27] d/control: add multiarch support for both libnftables0 and
    libnftables-dev
  * [94ba918] New upstream version 0.9.0
  * [b76ced6] d/control: bump build-dep on libnftnl
  * [f4bbe12] d/control: bump std-versions to 4.1.4

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Sat, 09 Jun 2018 14:47:07 +0200

nftables (0.8.5-1) unstable; urgency=medium

  * [c135598] d/t/control: disable internaltest-py.sh
  * [c64af79] d/control: bump libnftnl buld-dep version to 1.1.0
    (Closes: #898538)
  * [6c014f1] New upstream version 0.8.5
  * [bc3bf1c] d/patches/: drop rename_libnftables_h.patch

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 15 May 2018 10:54:19 +0200

nftables (0.8.4-1) unstable; urgency=medium

  * [7c20e29] New upstream version 0.8.4
  * [4d1ae20] libnftables: introduce binary packages
  * [fe2897f] d/copyright: refresh with libnftables

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 03 May 2018 19:46:30 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>
 Build-Depends: automake,
                bison,
-               debhelper (>= 11~),
+               debhelper (>= 11),
                docbook2x,
                flex,
                libgmp-dev,
                libmnl-dev (>= 1.0.3),
-               libnftnl-dev (>= 1.0.9~),
+               libnftnl-dev (>= 1.1.1),
                libreadline-dev,
 	       libxtables-dev (>= 1.6.1),
-               libtool (>=2.2.6)
-Standards-Version: 4.1.3
+               libtool (>=2.2.6),
+	       libjansson-dev,
+Standards-Version: 4.1.4
 Homepage: http://www.netfilter.org/
 Vcs-Git: https://salsa.debian.org/pkg-netfilter-team/pkg-nftables
 Vcs-Browser: https://salsa.debian.org/pkg-netfilter-team/pkg-nftables
@@ -22,7 +23,7 @@
 Package: nftables
 Architecture: linux-any
 Pre-Depends: dpkg (>= 1.15.7.2)
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libnftables0 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Program to control packet filtering rules by Netfilter project
  This software provides an in-kernel packet classification framework that is
  based on a network-specific Virtual Machine (VM) and the nft userspace
@@ -37,3 +38,41 @@
  proxying, advanced routing and traffic control.
  .
  A Linux kernel >= 3.13 is required. However, >= 4.14 is recommended.
+
+Package: libnftables-dev
+Section: libdevel
+Architecture: linux-any
+Multi-Arch: same
+Depends: libnftables0 (=${binary:Version}), ${misc:Depends}
+Description: Development files for libnftables
+ This library provides high level semantics to interact with the nftables
+ framework by Netfilter project.
+ .
+ nftables replaces the old popular iptables, ip6tables, arptables and ebtables.
+ .
+ Netfilter software and nftables in particular are used in applications such
+ as Internet connection sharing, firewalls, IP accounting, transparent
+ proxying, advanced routing and traffic control.
+ .
+ A Linux kernel >= 3.13 is required. However, >= 4.14 is recommended.
+ .
+ This package provides development files and static libraries.
+
+Package: libnftables0
+Section: libs
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Netfilter nftables high level userspace API library
+ This library provides high level semantics to interact with the nftables
+ framework by Netfilter project.
+ .
+ nftables replaces the old popular iptables, ip6tables, arptables and ebtables.
+ .
+ Netfilter software and nftables in particular are used in applications such
+ as Internet connection sharing, firewalls, IP accounting, transparent
+ proxying, advanced routing and traffic control.
+ .
+ A Linux kernel >= 3.13 is required. However, >= 4.14 is recommended.
+ .
+ This package contains the libnftables library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure_opts	:= --with-xtables --with-json

override_dh_auto_configure:
	dh_auto_configure -- $(configure_opts) --

%:
	dh $@ --with autoreconf

override_dh_fixperms:
	dh_fixperms
	chmod a+x debian/nftables/etc/nftables.conf

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

# https://wiki.debian.org/DebugPackage
.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbgsym-migration='nftables-dbg (<< 0.7~)'

override_dh_installinit:
	# dh_installinit will try to mess with /etc/init.d/nftables in
	# the maintainer scripts, but we don't ship it
	dh_installinit -n

override_dh_installexamples:
	dh_installexamples
	# upstream examples are installed in by the 'install' target to '/etc/nftables'
	rm -rf debian/nftables/etc/nftables

=== debian/tests/control ===
Test-Command: nft -h
Depends: @
Restrictions: needs-root

Tests: internaltest-shell.sh
Depends: @, kmod
Restrictions: needs-root, allow-stderr, isolation-container, flaky

Tests: internaltest-monitor.sh
Depends: @
Restrictions: needs-root, allow-stderr, isolation-container, flaky

# Disable test until we decide what to do with the nftables python module
#Tests: internaltest-py.sh
#Depends: @, python
#Restrictions: needs-root, allow-stderr, isolation-container, build-needed

Tests: systemd-service-test.sh
Depends: @, systemd
Restrictions: needs-root, allow-stderr, isolation-container
